CGAL 6.0.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::barycenter()
2D and 3D Linear Geometry Kernel Reference » Global Kernel Functions

##

See also
  `CGAL::centroid()`

## Functions
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `1-w1`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2, const Kernel::FT &w2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_2< Kernel > &p3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `1-w1-w2`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_2< Kernel > &p3, const Kernel::FT &w3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_2< Kernel > &p3, const Kernel::FT &w3, const CGAL::Point_2< Kernel > &p4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `1-w1-w2-w3`.
template<typename Kernel >
CGAL::Point_2< Kernel > | CGAL::barycenter (const CGAL::Point_2< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_2< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_2< Kernel > &p3, const Kernel::FT &w3, const CGAL::Point_2< Kernel > &p4, const Kernel::FT &w4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `1-w1`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2, const Kernel::FT &w2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_3< Kernel > &p3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `1-w1-w2`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_3< Kernel > &p3, const Kernel::FT &w3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_3< Kernel > &p3, const Kernel::FT &w3, const CGAL::Point_3< Kernel > &p4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `1-w1-w2-w3`.
template<typename Kernel >
CGAL::Point_3< Kernel > | CGAL::barycenter (const CGAL::Point_3< Kernel > &p1, const Kernel::FT &w1, const CGAL::Point_3< Kernel > &p2, const Kernel::FT &w2, const CGAL::Point_3< Kernel > &p3, const Kernel::FT &w3, const CGAL::Point_3< Kernel > &p4, const Kernel::FT &w4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.

## Function Documentation

## ◆ barycenter() [1/6]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::barycenter | ( | const CGAL::Point_2< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_2< Kernel > & | p2,
|  | const Kernel::FT & | w2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.

Precondition
  `w1+w2 != 0`.

## ◆ barycenter() [2/6]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::barycenter | ( | const CGAL::Point_2< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_2< Kernel > & | p2,
|  | const Kernel::FT & | w2,
|  | const CGAL::Point_2< Kernel > & | p3,
|  | const Kernel::FT & | w3
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.

Precondition
  `w1+w2+w3 != 0`.

## ◆ barycenter() [3/6]

template<typename Kernel >

CGAL::Point_2< Kernel > CGAL::barycenter | ( | const CGAL::Point_2< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_2< Kernel > & | p2,
|  | const Kernel::FT & | w2,
|  | const CGAL::Point_2< Kernel > & | p3,
|  | const Kernel::FT & | w3,
|  | const CGAL::Point_2< Kernel > & | p4,
|  | const Kernel::FT & | w4
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.

Precondition
  `w1+w2+w3+w4 != 0`.

## ◆ barycenter() [4/6]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::barycenter | ( | const CGAL::Point_3< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_3< Kernel > & | p2,
|  | const Kernel::FT & | w2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.

Precondition
  `w1+w2 != 0`.

## ◆ barycenter() [5/6]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::barycenter | ( | const CGAL::Point_3< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_3< Kernel > & | p2,
|  | const Kernel::FT & | w2,
|  | const CGAL::Point_3< Kernel > & | p3,
|  | const Kernel::FT & | w3
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.

Precondition
  `w1+w2+w3 != 0`.

## ◆ barycenter() [6/6]

template<typename Kernel >

CGAL::Point_3< Kernel > CGAL::barycenter | ( | const CGAL::Point_3< Kernel > & | p1,
|  | const Kernel::FT & | w1,
|  | const CGAL::Point_3< Kernel > & | p2,
|  | const Kernel::FT & | w2,
|  | const CGAL::Point_3< Kernel > & | p3,
|  | const Kernel::FT & | w3,
|  | const CGAL::Point_3< Kernel > & | p4,
|  | const Kernel::FT & | w4
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.

Precondition
  `w1+w2+w3+w4 != 0`.